from datetime import datetime

class Logger:
    def __init__(self, user: str) -> None:
          self.user = user

    def log(self, log_str):
            now = datetime.now()  # current date and time
            print(
                now.strftime("%d %b %Y %H:%M:%S"),
                "- User:",
                self.user,
                "-",
                log_str,
            )