import pandas as pd

df = pd.read_parquet('./full_dataset.parquet')
df_2023_june= df[(df.Year == 2023) & (df.Month == 6)]

del df

df_2023_june['ds'] = pd.to_datetime(dict(year=df_2023_june.Year, month=df_2023_june.Month, day=df_2023_june.Day))

df_2023_june['C1+C2'] = df_2023_june['C1'] + df_2023_june['C2']

df_2023_june = df_2023_june.groupby('ds').median().reset_index()

df_2023_june.to_parquet('prophet_june_2023.parquet', index=False)